Tasks #2779

Please upload the current rsb-java 0.18 + 0.19-Snapshot to the citec maven repo

Added by M. Pohling over 2 years ago. Updated about 2 years ago.

Status:ResolvedStart date:10/26/2018
Priority:NormalDue date:
Assignee:-% Done:

0%

Category:Java
Target version:rsb-0.18

Description

I am not sure if the maven artifact deployment is covered by our ci pipeline and just broken or if this is a manual process.
However, could you please upload the current artifacts rsb-java 0.18 + 0.19-Snapshot ?

The latest deployed version is:

/rsb/rsb-java/0.18-SNAPSHOT/rsb-java-0.18-20180913.092425-31.pom
Uploaded by: cideploy
Size:8.71 KB
Uploaded Date: Thu Sep 13 2018 11:24:25 GMT+0200 (Central European Summer Time)

checkout: https://mvn.cit-ec.de/nexus/#nexus-search;quick~rsb-java

History

#1 Updated by M. Pohling over 2 years ago

ok, the deployed 0.19-Snapshot seems to be up-to-date but at least 0.18 was never released.

#2 Updated by J. Moringen over 2 years ago

M. Pohling wrote:

but at least 0.18 was never released.

The 0.18 release is not done yet. You can check the progress in #2743.

#3 Updated by J. Wienke over 2 years ago

  • Status changed from New to Resolved

0.18 is released on the citec repo. master will not be pushed anymore.

#4 Updated by M. Pohling about 2 years ago

hmm, I am a little bit confused. You uploaded rsb 0.18.4 but your uploaded version depends on protobuf 3 (rsb:rsb:jar:[0.18,0.19-alpha) -> com.google.protobuf:protobuf-java:jar:[3.0,3.1)) Is protobuf 3 the default version for rsx 0.18 or was this upload just a mistake?

#5 Updated by J. Wienke about 2 years ago

So far we have always used the default protobuf version of the current Ubuntu LTS. Since bionic this is protobuf 3.0.0: https://packages.ubuntu.com/bionic/protobuf-compiler

#6 Updated by M. Pohling about 2 years ago

Okay, don't get me wrong, I am totally happy about using protobuf 3 but when do you plan to release rst 0.18 with protobuf 3 support?
Because without a compatible rst release this rsb release is nearly useless because your rst 0.18 Snapshots still using protbuf version 2.6.

Also available in: Atom PDF